Skip to main content
DELETE
/
v1
/
agents
/
{agentId}
/
allowlist
Remove project from Agent Allow list
curl --request DELETE \
  --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/allowlist \
  --header 'Authorization: Bearer <token>'
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the agent to remove project and/or environment access from

Query Parameters

projectId
string<uuid>
required

The ID of the project to remove from Agent allow list if no environment is provided, or the project id to remove the environment from

environmentName
string

Optional environment to remove from the Agent's allowed usage of the project (if not provided, removes entire project)

Response

Project and/or environment successfully removed from Agent Allow list